<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."nicks_mod_panel/infusion_db.php";
if (file_exists(INFUSIONS."nicks_mod_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nicks_mod_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nicks_mod_panel/locale/English.php";
}

$inf_title = $locale['nmp_title'];
$inf_description = $locale['nmp_desc'];
$inf_version = "1.6";
$inf_developer = "bartek124";
$inf_email = "bartek124@php-fusion.pl";
$inf_weburl = "http://bartek124.php-fusion.pl";

$inf_folder = "nicks_mod_panel";

$inf_newtable[1] = DB_NICKS_MOD." (
nicks_group_id VARCHAR(4) NOT NULL,
nicks_color VARCHAR(7) NOT NULL,
nicks_prefix VARCHAR(2) NOT NULL,
nicks_styles VARCHAR(100) NOT NULL,
PRIMARY KEY (nicks_group_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_NICKS_MOD." (nicks_group_id, nicks_color, nicks_prefix, nicks_styles) VALUES('l103', '#FF0000', '@', '')";
$inf_insertdbrow[2] = DB_NICKS_MOD." (nicks_group_id, nicks_color, nicks_prefix, nicks_styles) VALUES('l102', '#0066FF', '#', '')";

$inf_droptable[1] = DB_NICKS_MOD;

$inf_adminpanel[1] = array(
	"title" => $locale['nmp_admin'],
	"image" => "nicks_mod.gif",
	"panel" => "nicks_mod_admin.php",
	"rights" => "NMP"
);
?>