<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nicks_mod_panel.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

function colore_nicks($buf) {
	include INFUSIONS.'nicks_mod_panel/nicks_mod_cache.php';
	if(!empty($nicks_mod_cache)) {
		preg_match_all('#<a.*?href=\''.BASEDIR.'profile\.php\?lookup=([0-9]+)\'.*?>#', $buf, $matches);
		$matches = array_unique($matches[1]);
		if(!empty($matches)) {
			$users_ids = '';
			foreach($matches as $user_id) { $users_ids .= ($users_ids ? ',' : '').$user_id; }
			unset($matches);
			$result = dbquery('SELECT user_id, user_groups, user_level, user_primarygroup FROM '.DB_USERS.' WHERE (user_groups !="" OR user_level IN (102,103)) AND user_id IN ('.$users_ids.')');
			while($data = dbarray($result)) {
				$user_groups = (strpos($data['user_groups'], ".") == 0 ? explode(".", substr($data['user_groups'], 1)) : explode(".", $data['user_groups']));
				if($data['user_level']=='102' || $data['user_level']=='103') { $user_groups[] = "l".$data['user_level']; }
				if(isset($data['user_primarygroup']) && count($user_groups) > 1 && array_key_exists($data['user_primarygroup'], $nicks_mod_cache)) {
					$buf = preg_replace('#<a([^<>]*)href=\''.BASEDIR.'profile\.php\?lookup='.$data['user_id'].'\'([^<>]*)>([-0-9A-Z_@\.\s]*)</a>#si', '<a\\1href=\''.BASEDIR.'profile.php?lookup='.$data['user_id'].'\'\\2><span style=\'color:'.$nicks_mod_cache[$data['user_primarygroup']][0].';'.$nicks_mod_cache[$data['user_primarygroup']][2].'\'>'.$nicks_mod_cache[$data['user_primarygroup']][1].'\\3</span></a>', $buf);
				} else {
					foreach($user_groups as $user_group) {
						if(array_key_exists($user_group, $nicks_mod_cache)) { 
							$buf = preg_replace('#<a([^<>]*)href=\''.BASEDIR.'profile\.php\?lookup='.$data['user_id'].'\'([^<>]*)>([-0-9A-Z_@\.\s]*)</a>#si', '<a\\1href=\''.BASEDIR.'profile.php?lookup='.$data['user_id'].'\'\\2><span style=\'color:'.$nicks_mod_cache[$user_group][0].';'.$nicks_mod_cache[$user_group][2].'\'>'.$nicks_mod_cache[$user_group][1].'\\3</span></a>', $buf);
							break; 
						}
					}
				}
			}
		}
	}
	return $buf;
}

add_handler("colore_nicks");
?>